be.fgov.ehealth.standards.kmehr.id.v1

## Class IDINSURANCE

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.id.v1.IDINSURANCE

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:52:04+02:00",
                 comments="JAXB RI v2.3.7")
      public class IDINSURANCE
      extends Object
      implements Serializable

  Java class for ID-INSURANCE complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ID-INSURANCE">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="S" use="required" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-INSURANCEschemes" />
             <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="SL" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDINSURANCE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDINSURANCEschemes` | `getS()` Gets the value of the s property.
    `String` | `getSL()` Gets the value of the sl property.
    `String` | `getSV()` Gets the value of the sv property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setS(IDINSURANCEschemes value)` Sets the value of the s property.
    `void` | `setSL(String value)` Sets the value of the sl property.
    `void` | `setSV(String value)` Sets the value of the sv property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDINSURANCE

          public IDINSURANCE()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getS

          public IDINSURANCEschemes getS()

      Gets the value of the s property.
      Returns:
        possible object is `IDINSURANCEschemes`

    - #### setS

          public void setS(IDINSURANCEschemes value)

      Sets the value of the s property.
      Parameters:
        `value` - allowed object is `IDINSURANCEschemes`

    - #### getSV

          public String getSV()

      Gets the value of the sv property.
      Returns:
        possible object is `String`

    - #### setSV

          public void setSV(String value)

      Sets the value of the sv property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSL

          public String getSL()

      Gets the value of the sl property.
      Returns:
        possible object is `String`

    - #### setSL

          public void setSL(String value)

      Sets the value of the sl property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.